Subject: [bug#49419] [PATCH 1/4] home-services: Add most essential home services

From: Andrew Tropin <[email-masked]>
Date: Tue, 06 Jul 2021 10:09:50 +0300

Maxime Devos <[email-masked]> writes:

> Andrew Tropin schreef op ma 05-07-2021 om 19:19 [+0300]:
>> Maxime Devos <[email-masked]> writes:
>> 
>> [...]
>>
>> BTW, how to add changes to the patches?  Do I need to resend a
>> particular patch with required updates or have to wait other reviews and
>> send a v2 patch series?
>
> I would do a combination of those: reply to the mail of the reviewer with a
> revised patch attached.  When you have received a ‘sufficient’ number of reviews
> from others on the other patches in the series as well, send a v2.
>
> Some benefits of this method:
>
>   (1) it should be clear which patches should be applied,
>       as the number of 'revised patches' without sending a new series
>       version is limited.
>
>       This is also the case if you send a new version after each little change,
>       but can easily become _not_ the cas if you always respond with a revised
>       patch without starting a new series version.
>
>   (2) you don't clutter the mailboxes with new version after new version
>       after each little change.
>
>       This is particularily important if you have large patch series (say 13 or
>       more patches), which doesn't seem to apply here.
>
> WDYT?

I came up with one more approach: I can send a patch, which address the
issues reviewer mentioned and after getting more reviews from other
peers I can rebase my original commits and incorparate all the
later patches to them and prepare v2 series.

[PATCH 0/4]
[PATCH 1/4]
fix1 to address issue from subthread1 reported by r1
fix2 to address issue from subthread2 reported by r2
fix3 to address issue from subthread2 came during discussion with r1 and r2
[PATCH 2/4]
...

Such approach makes it clear how the comments were addressed, because
now you see a diff, not the whole new patch.  On the other hand it can
be a little harder to reply, because you don't have the latest version
of the patch, but have only original patch and updates to it, so you
need to pick, which one you want to reply to.

I will try this one, to find its weak points.  It's better to practice
on this small patch series, rather something huge)

Another question: Is it better to inline or attach patches?